## LmResolver

LmResolver

## Functions

void | (*LmResolverCallback) ()
LmResolver * | lm_resolver_new ()
LmResolver * | lm_resolver_new_for_host ()
LmResolver * | lm_resolver_new_for_service ()
void | lm_resolver_lookup ()
void | lm_resolver_cancel ()
struct addrinfo * | lm_resolver_results_get_next ()
void | lm_resolver_results_reset ()

## Properties

gpointer | context | Read / Write
char * | domain | Read / Write / Construct Only
char * | host | Read / Write
guint | port | Read / Write
char * | protocol | Read / Write / Construct Only
char * | service | Read / Write / Construct Only
int | type | Read / Write

## Types and Values

enum | LmResolverType
enum | LmResolverResult

## Object Hierarchy

        GObject
        ╰── LmResolver
            ├── LmAsyncnsResolver
            ╰── LmBlockingResolver

## Description

## Functions

### LmResolverCallback ()

    void
    (*LmResolverCallback) (LmResolver *resolver,
                           LmResolverResult result,
                           gpointer user_data);

### lm_resolver_new ()

    LmResolver *
    lm_resolver_new (GMainContext *context);

### lm_resolver_new_for_host ()

    LmResolver *
    lm_resolver_new_for_host (const gchar *host,
                              LmResolverCallback callback,
                              gpointer user_data);

### lm_resolver_new_for_service ()

    LmResolver *
    lm_resolver_new_for_service (const gchar *domain,
                                 const gchar *service,
                                 const gchar *protocol,
                                 LmResolverCallback callback,
                                 gpointer user_data);

### lm_resolver_lookup ()

    void
    lm_resolver_lookup (LmResolver *resolver);

### lm_resolver_cancel ()

    void
    lm_resolver_cancel (LmResolver *resolver);

### lm_resolver_results_get_next ()

    struct addrinfo *
    lm_resolver_results_get_next (LmResolver *resolver);

### lm_resolver_results_reset ()

    void
    lm_resolver_results_reset (LmResolver *resolver);

## Types and Values

### enum LmResolverType

#### Members

LM_RESOLVER_HOST |  |
LM_RESOLVER_SRV |  |

### enum LmResolverResult

#### Members

LM_RESOLVER_RESULT_OK |  |
LM_RESOLVER_RESULT_FAILED |  |
LM_RESOLVER_RESULT_CANCELLED |  |

## Property Details

### The `“context”` property

      “context”                  gpointer

Main context to use.

Owner: LmResolver

Flags: Read / Write

### The `“domain”` property

      “domain”                   char *

Domain to lookup.

Owner: LmResolver

Flags: Read / Write / Construct Only

Default value: NULL

### The `“host”` property

      “host”                     char *

Host to lookup.

Owner: LmResolver

Flags: Read / Write

Default value: NULL

### The `“port”` property

      “port”                     guint

Port number.

Owner: LmResolver

Flags: Read / Write

Allowed values: <= 65536

Default value: 0

### The `“protocol”` property

      “protocol”                 char *

Protocol for SRV lookup.

Owner: LmResolver

Flags: Read / Write / Construct Only

Default value: NULL

### The `“service”` property

      “service”                  char *

Service to lookup.

Owner: LmResolver

Flags: Read / Write / Construct Only

Default value: NULL

### The `“type”` property

      “type”                     int

Resolver Type.

Owner: LmResolver

Flags: Read / Write

Allowed values: [0,1]

Default value: 0